Subject: bug#41284: 26.3; cc-mode: Incorrect font locking of static functions

From: "George O'Hara" <[email-masked]>
Date: Fri, 15 May 2020 13:03:39 +0100

Hi Eli!

Yes, I do mean the other way round.
I made a post on the Emacs SE with images last night, which may be useful
to link here.
https://emacs.stackexchange.com/questions/58509/static-function-highlighting-locking-in-c?noredirect=1#comment91178_58509

As an aside, I accidentally posted this bug twice. Is there a way I can
close the other issue?

Kind regards

On Fri, 15 May 2020 at 12:57, Eli Zaretskii <[email-masked]> wrote:

> > From: "George O'Hara" <[email-masked]>
> > Date: Fri, 15 May 2020 12:15:42 +0100
> >
> > >From 'emacs -Q', C-x C-f and create a buffer called 'test.c'.
> > In this buffer, type:
> >
> > static int some_function();
> > int static another_function();
> >
> > some_function is not highlighted, while another_function is.
>
> You mean, the other way around, no?
>